Bug 830299 - need to document the small window of time when alert def won't fire alerts
need to document the small window of time when alert def won't fire alerts
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Documentation (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: JON 3.1.0
Assigned To: Deon Ballard
Mike Foley
:
Depends On: 829962
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 15:15 EDT by John Mazzitelli
Modified: 2012-07-20 12:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 829962
Environment:
Last Closed: 2012-07-20 12:51:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2012-06-08 15:15:22 EDT
+++ This bug was initially created as a clone of Bug #829962 +++

This needs to be in the JON docs - FAQ, somewhere.

http://rhq-project.org/display/JOPR2/FAQ#FAQ-IcreatedanalertdefinitionandIknowimmediatelythereaftermyagentshouldhavereporteddatathatshouldhavetriggeredthealertbutmyalertdidnotfire.Wheredidmyalertgo%3F

"Q: I created an alert definition and I know immediately thereafter my agent should have reported data that should have triggered the alert - but my alert did not fire. Where did my alert go?

A: When you create your alert definitions, you will need to wait a short amount of time before that alert definition makes its way into the RHQ Servers' alert caches throughout the RHQ HA Server cloud (and when it does, then it will be able to fire alerts).

This small window of time between the creation of your alert definition and when it starts firing alerts is roughly around 30 seconds, give or take a few seconds. To be safe, assume you should wait over a minute."
Comment 1 John Mazzitelli 2012-06-08 15:18:04 EDT
Add this to the end of that FAQ entry as well:

---

You will know the alert def made it into the cache and is ready to fire alerts when the RHQ Server logs messages like this:

   INFO  [CacheConsistencyManagerBean] localhost took [51]ms to reload global cache
   INFO  [CacheConsistencyManagerBean] localhost took [49]ms to reload cache for 1 agents
Comment 3 Armine Hovsepyan 2012-07-18 09:31:23 EDT
verified.

Note You need to log in before you can comment on or make changes to this bug.